Class DigitalLoasClientImpl
java.lang.Object
com.eqixiac.equinix.core.client.ClientBase
com.eqixiac.equinix.customerportal.client.internal.implementation.DigitalLoasClientImpl
- All Implemented Interfaces:
DigitalLoasClient
-
Nested Class Summary
Nested classes/interfaces inherited from class ClientBase
ClientBase.EquinixRequestBuilderModifier and TypeClassDescriptionprotected classFluent builder for constructingEquinixRequestinstances. -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncreate(DigitalLoaCreateRequest request) createRequest(Map<String, Object> request) findByUuid(String uuid) findChangeByUuid(String uuid, String changeUuid) List<? extends DigitalLoaChange> findChangesByLoaUuid(String uuid) List<? extends LoaCustomerOrganization> listOrganizations(String ibx, List<String> productTypes) performAction(String uuid, Map<String, Object> action) List<? extends DigitalLoa> updateBetaTermsAgreement(Boolean agreementAccepted) Methods inherited from class ClientBase
booleanOp, buildRequest, buildRequest, buildRequestWithPathParams, buildRequestWithQueryParams, bytesOp, createReturningLocationUuid, getAs, getAs, getConfigClient, invoke, listAs, mapOp, newRequest, postAs, postForType, postForType, postForType, postListAs, stringOp, voidOpModifier and TypeMethodDescriptionprotected booleanbooleanOp(String serviceEndpoint, RequestType requestType, Map<String, String> pathParams, Map<String, List<String>> queryParams, Object body) protected <T> EquinixRequest<T> buildRequest(String serviceEndpoint, RequestType requestType, Class<?> jsonClass) protected <T> EquinixRequest<T> buildRequest(String serviceEndpoint, RequestType requestType, Map<String, String> pathParams, Map<String, List<String>> queryParams, Class<?> jsonClass) protected <T> EquinixRequest<T> buildRequestWithPathParams(String serviceEndpoint, RequestType requestType, Map<String, String> pathParams, Class<?> jsonClass) protected <T> EquinixRequest<T> buildRequestWithQueryParams(String serviceEndpoint, RequestType requestType, Map<String, List<String>> queryParams, Class<?> jsonClass) protected byte[]bytesOp(String serviceEndpoint, Map<String, String> pathParams, Map<String, List<String>> queryParams) protected StringcreateReturningLocationUuid(String serviceEndpoint, Map<String, String> pathParams, Map<String, List<String>> queryParams, Object body) POST a body, then return the created resource's uuid parsed from the responseLocationheader (for endpoints that return201 Location: .../{uuid}rather than a body).protected <R> Rprotected <R> RgetAs(String serviceEndpoint, Map<String, String> pathParams, Map<String, List<String>> queryParams, Class<R> responseType) protected Configprotected <T> EquinixResponse<T> invoke(EquinixRequest<T> equinixRequest) protected <R> List<R> listAs(String serviceEndpoint, Map<String, String> pathParams, Map<String, List<String>> queryParams, Class<R> elementType) mapOp(String serviceEndpoint, RequestType requestType, Map<String, String> pathParams, Map<String, List<String>> queryParams, Object body) protected ClientBase.EquinixRequestBuildernewRequest(String serviceEndpoint) Creates a fluent request builder for the given service endpoint.protected <R> Rprotected <R> RpostForType(String serviceEndpoint, Object body, com.fasterxml.jackson.core.type.TypeReference<?> typeReference) protected <R> RpostForType(String serviceEndpoint, Map<String, String> pathParams, Object body, com.fasterxml.jackson.core.type.TypeReference<?> typeReference) protected <R> RpostForType(String serviceEndpoint, Map<String, String> pathParams, Map<String, List<String>> queryParams, Object body, com.fasterxml.jackson.core.type.TypeReference<?> typeReference) protected <R> List<R> postListAs(String serviceEndpoint, Object body, Class<R> elementType) protected StringstringOp(String serviceEndpoint, RequestType requestType, Map<String, String> pathParams, Map<String, List<String>> queryParams, Object body) protected voidvoidOp(String serviceEndpoint, RequestType requestType, Map<String, String> pathParams, Map<String, List<String>> queryParams, Object body) Execute a request for its side effect only - the response body is validated (throws on API error) and discarded.
-
Constructor Details
-
DigitalLoasClientImpl
-
-
Method Details
-
create
- Specified by:
createin interfaceDigitalLoasClient
-
findByUuid
- Specified by:
findByUuidin interfaceDigitalLoasClient
-
search
public List<? extends DigitalLoa> search(DigitalLoaSearchRequest request, Integer offset, Integer limit, List<String> sort) - Specified by:
searchin interfaceDigitalLoasClient
-
update
- Specified by:
updatein interfaceDigitalLoasClient
-
cancel
- Specified by:
cancelin interfaceDigitalLoasClient
-
performAction
- Specified by:
performActionin interfaceDigitalLoasClient
-
createRequest
- Specified by:
createRequestin interfaceDigitalLoasClient
-
findChangesByLoaUuid
- Specified by:
findChangesByLoaUuidin interfaceDigitalLoasClient
-
findChangeByUuid
- Specified by:
findChangeByUuidin interfaceDigitalLoasClient
-
listOrganizations
public List<? extends LoaCustomerOrganization> listOrganizations(String ibx, List<String> productTypes) - Specified by:
listOrganizationsin interfaceDigitalLoasClient
-
isPrivateBetaAllowed
- Specified by:
isPrivateBetaAllowedin interfaceDigitalLoasClient
-
createPrivateBetaAccessRequest
- Specified by:
createPrivateBetaAccessRequestin interfaceDigitalLoasClient
-
getBetaTermsAgreement
- Specified by:
getBetaTermsAgreementin interfaceDigitalLoasClient
-
updateBetaTermsAgreement
- Specified by:
updateBetaTermsAgreementin interfaceDigitalLoasClient
-